{% load model_guard %}
<div class="btn-group" role="group">
  {% if submit %}
  <div class="btn-group" role="group">
    <a class="btn btn-secondary" href="{{request.META.HTTP_REFERER}}">
      Voltar
      <i class="fa-solid fa-rotate-left"></i>
    </a>
    <button type="submit" class="btn btn-primary">
      {{submit}}
      <i class="fa-solid fa-paper-plane"></i>
    </button>
  </div>
  {% else %}
  {% if object %}
  {% if  user|can_or_author:'change_poll'|on:object %}
  <a class="btn btn-secondary" href="{% url 'votes:poll-change' pk=object.pk %}">
    Editar
    <i class="fa-solid fa-pencil"></i>
  </a>
  <a class="btn btn-secondary" href="{% url 'votes:poll-assign' pk=object.pk %}">
    Atribuir
    <i class="fa-solid fa-pen-to-square"></i>
  </a>
  {% endif %}
  {% if object.open_to_suggest and user|can:'poll_suggest'|on:object %}
  <a class="btn btn-secondary" href="{% url 'votes:poll-suggest' pk=object.pk %}">
    Sugerir
    <i class="fa-solid fa-comment"></i>
  </a>
  {% endif %}
  {% if object.open_to_vote and user|can:'poll_vote'|on:object %}
  <a class="btn btn-secondary" href="{% url 'votes:poll-vote' pk=object.pk %}">
    Votar
    <i class="fa-solid fa-hand-point-up"></i>
  </a>
  {% endif %}
  {% if object.open_to_follow and user|can:'view_poll'|on:object %}
  <a class="btn btn-secondary" href="{% url 'votes:poll-results' pk=object.pk %}">
    Acompanhar
    <i class="fa-solid fa-chart-simple"></i>
  </a>
  {% endif %}
  {% endif %}
  {% endif %}
</div>
